io.vertx.rxjava3.ext.auth.jwt

## Class JWTAuth

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava3.ext.auth.jwt.JWTAuth

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class JWTAuth
      extends AuthenticationProvider
      implements io.vertx.lang.rx.RxDelegate

  Factory interface for creating JWT based `AuthenticationProvider` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JWTAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuth(JWTAuth delegate)`
    `JWTAuth(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JWTAuth` | `create(Vertx vertx, JWTAuthOptions config)` Create a JWT auth provider
    `boolean` | `equals(Object o)`
    `String` | `generateToken(JsonObject claims)` Generate a new JWT token.
    `String` | `generateToken(JsonObject claims, JWTOptions options)` Generate a new JWT token.
    `JWTAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static JWTAuth` | `newInstance(JWTAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JWTAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### JWTAuth

          public JWTAuth(JWTAuth delegate)

    - #### JWTAuth

          public JWTAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public JWTAuth getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### create

          public static JWTAuth create(Vertx vertx,
                                       JWTAuthOptions config)

      Create a JWT auth provider
      Parameters:
        `vertx` - the Vertx instance
        `config` - the config
      Returns:
        the auth provider

    - #### generateToken

          public String generateToken(JsonObject claims,
                                      JWTOptions options)

      Generate a new JWT token.
      Parameters:
        `claims` - Json with user defined claims for a list of official claims
        `options` - extra options for the generation
      Returns:
        JWT encoded token

    - #### generateToken

          public String generateToken(JsonObject claims)

      Generate a new JWT token.
      Parameters:
        `claims` - Json with user defined claims for a list of official claims
      Returns:
        JWT encoded token

    - #### newInstance

          public static JWTAuth newInstance(JWTAuth arg)

Copyright © 2025 Eclipse. All rights reserved.